## ROLLBACK-Anweisung (rollback_statement)

Die ROLLBACK-Anweisung (rollback_statement) bricht die aktuelle Transaktion ab (ROLLBACK) und startet eine neue Transaktion.

### Syntax

<rollback_statement> ::= ROLLBACK [WORK]

### Erläuterung

Die ROLLBACK-Anweisung eröffnet implizit eine neue Transaktion. Alle innerhalb dieser neuen Transaktion gesetzten Sperren werden dieser Transaktion zugeordnet. Für das Setzen von Sperren in der neuen Transaktion gilt das in der CONNECT-Anweisung vereinbarte Isolation-Level.